#!/bin/bash

hostname=`hostname`

echo -n "'$hostname' is "
if [[ "$hostname" == "neurocomp" ]]; then
	type="a backup head node and a compute node in the 'interactive' Slurm partition"
elif [[ "$hostname" == "neurocomp8" ]]; then
	type="a compute node in the 'interactive' Slrum partition"
elif [[ $hostname =~ ^neurocomp(0|00|-teach)$ ]]; then
	type="a head node"
elif [[ $hostname =~ ^neurocomp[2-8]$ ]]; then
	type="a compute node in the 'cpu' Slurm partition"
else
	type="an unknown host"
fi
echo "$type."
