#!/bin/bash

if [ $# -lt 3 ]
then
	echo -e "\nUsage:\n\n\t$0 PAUSE_TIME_IN_SECONGS COLOR_CODE TEXT_STRING\n\n"
	exit 1
fi
pause=$1
color=$2
text=$3

echo -e -n "\e[$color"
for ((i=0; i<${#text}; i++))
do
	sleep $pause
	echo -e -n "${text:$i:1}"
done
echo -e "\e[0m"
